io.prestosql.jdbc

## Class PrestoIntervalYearMonth

- java.lang.Object
- - io.prestosql.jdbc.PrestoIntervalYearMonth

All Implemented Interfaces:
  Comparable<PrestoIntervalYearMonth>

    public class PrestoIntervalYearMonth
    extends Object
    implements Comparable<PrestoIntervalYearMonth>

### Constructor Summary

Constructors
Constructor and Description
`PrestoIntervalYearMonth(int months)`
`PrestoIntervalYearMonth(int year, int months)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(PrestoIntervalYearMonth o)`
`boolean` `equals(Object obj)`
`int` `getMonths()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrestoIntervalYearMonth

    public PrestoIntervalYearMonth(int months)

#### PrestoIntervalYearMonth

    public PrestoIntervalYearMonth(int year,
                                   int months)

### Method Detail

#### getMonths

    public int getMonths()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### compareTo

    public int compareTo(PrestoIntervalYearMonth o)

Specified by:
  `compareTo` in interface `Comparable<PrestoIntervalYearMonth>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`